# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{haml}
  s.version = "3.0.25"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Nathan Weizenbaum", "Chris Eppstein", "Hampton Catlin"]
  s.date = %q{2010-12-17}
  s.description = %q{      Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or XML
      that's designed to express the structure of XHTML or XML documents
      in a non-repetitive, elegant, easy way,
      using indentation rather than closing tags
      and allowing Ruby to be embedded with ease.
      It was originally envisioned as a plugin for Ruby on Rails,
      but it can function as a stand-alone templating engine.
}
  s.email = %q{haml@googlegroups.com}
  s.executables = ["haml", "html2haml", "sass", "css2sass", "sass-convert"]
  s.files = ["lib/sass/error.rb", "lib/sass/files.rb", "lib/sass/environment.rb", "lib/sass/plugin/rack.rb", "lib/sass/plugin/staleness_checker.rb", "lib/sass/plugin/configuration.rb", "lib/sass/plugin/merb.rb", "lib/sass/plugin/rails.rb", "lib/sass/plugin/generic.rb", "lib/sass/callbacks.rb", "lib/sass/script/string.rb", "lib/sass/script/node.rb", "lib/sass/script/lexer.rb", "lib/sass/script/string_interpolation.rb", "lib/sass/script/css_parser.rb", "lib/sass/script/variable.rb", "lib/sass/script/literal.rb", "lib/sass/script/bool.rb", "lib/sass/script/number.rb", "lib/sass/script/unary_operation.rb", "lib/sass/script/css_lexer.rb", "lib/sass/script/operation.rb", "lib/sass/script/parser.rb", "lib/sass/script/funcall.rb", "lib/sass/script/color.rb", "lib/sass/script/interpolation.rb", "lib/sass/script/functions.rb", "lib/sass/tree/root_node.rb", "lib/sass/tree/node.rb", "lib/sass/tree/if_node.rb", "lib/sass/tree/charset_node.rb", "lib/sass/tree/extend_node.rb", "lib/sass/tree/rule_node.rb", "lib/sass/tree/mixin_def_node.rb", "lib/sass/tree/mixin_node.rb", "lib/sass/tree/prop_node.rb", "lib/sass/tree/warn_node.rb", "lib/sass/tree/directive_node.rb", "lib/sass/tree/comment_node.rb", "lib/sass/tree/variable_node.rb", "lib/sass/tree/debug_node.rb", "lib/sass/tree/import_node.rb", "lib/sass/tree/while_node.rb", "lib/sass/tree/for_node.rb", "lib/sass/scss/sass_parser.rb", "lib/sass/scss/script_parser.rb", "lib/sass/scss/css_parser.rb", "lib/sass/scss/script_lexer.rb", "lib/sass/scss/rx.rb", "lib/sass/scss/parser.rb", "lib/sass/scss/static_parser.rb", "lib/sass/less.rb", "lib/sass/selector/simple_sequence.rb", "lib/sass/selector/simple.rb", "lib/sass/selector/sequence.rb", "lib/sass/selector/abstract_sequence.rb", "lib/sass/selector/comma_sequence.rb", "lib/sass/css.rb", "lib/sass/selector.rb", "lib/sass/engine.rb", "lib/sass/plugin.rb", "lib/sass/repl.rb", "lib/sass/scss.rb", "lib/sass/script.rb", "lib/haml/util/subset_map.rb", "lib/haml/helpers.rb", "lib/haml/html.rb", "lib/haml/shared.rb", "lib/haml/error.rb", "lib/haml/html/erb.rb", "lib/haml/helpers/xss_mods.rb", "lib/haml/helpers/action_view_extensions.rb", "lib/haml/helpers/action_view_mods.rb", "lib/haml/railtie.rb", "lib/haml/template/patch.rb", "lib/haml/template/options.rb", "lib/haml/template/plugin.rb", "lib/haml/version.rb", "lib/haml/root.rb", "lib/haml/engine.rb", "lib/haml/precompiler.rb", "lib/haml/buffer.rb", "lib/haml/filters.rb", "lib/haml/template.rb", "lib/haml/exec.rb", "lib/haml/util.rb", "lib/sass.rb", "lib/haml.rb", "VERSION", "VERSION_NAME", "bin/haml", "bin/html2haml", "bin/sass", "bin/css2sass", "bin/sass-convert"]
  s.homepage = %q{http://haml-lang.com/}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{haml}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{An elegant, structured XHTML/XML templating engine. Comes with Sass, a similar CSS templating engine.}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<yard>, [">= 0.5.3"])
      s.add_development_dependency(%q<maruku>, [">= 0.5.9"])
    else
      s.add_dependency(%q<yard>, [">= 0.5.3"])
      s.add_dependency(%q<maruku>, [">= 0.5.9"])
    end
  else
    s.add_dependency(%q<yard>, [">= 0.5.3"])
    s.add_dependency(%q<maruku>, [">= 0.5.9"])
  end
end
